package example2;

import com.logntw.eva.bean.condition.ConditionObj;
import com.logntw.eva.bean.condition.ConditionObjUtil;
import com.logntw.eva.condition.OP;
import com.logntw.eva.orm.DBConnectionProvider;
import com.logntw.eva.orm.ORMappers;
import com.logntw.eva.orm.defo.DefoORMappers;
import com.logntw.eva.orm.defo.conn.HSQLDB_1_8ConnectionProvider;

public class NewCondition
{
	public void newCondition1() throws Exception 
	{
		DBConnectionProvider db = new HSQLDB_1_8ConnectionProvider("databaseName");		
		ORMappers mappers = DefoORMappers.getInstance(db);
		ConditionObj<EntityA> cEntityA = mappers.newCondition(EntityA.class);
		cEntityA.If(OP.GREATER).setId1(5);
		cEntityA.If(OP.LESS).setId1(10);
		cEntityA.Or();
		cEntityA.If(OP.EQUAL).setId1(20);
		cEntityA.orderBy("+data1.id1", "-id1");
	}
	
	public void newCondition2() throws Exception 
	{
		DBConnectionProvider db = new HSQLDB_1_8ConnectionProvider("databaseName");		
		ORMappers mappers = DefoORMappers.getInstance(db);
		ConditionObj<EntityA> cEntityA = mappers.newCondition(EntityA.class);
		ConditionObjUtil.setCondition(cEntityA, 
				"(id1 > ? AND id1 < ?) OR id1 = ? ORDER BY +data1.id1, -id1", 5, 10, 20);		
	}
}
