package example2;

import com.logntw.eva.orm.DBConnectionProvider;
import com.logntw.eva.orm.EagerToGet;
import com.logntw.eva.orm.ORMapper;
import com.logntw.eva.orm.ORMappers;
import com.logntw.eva.orm.defo.DefoORMappers;
import com.logntw.eva.orm.defo.conn.HSQLDB_1_8ConnectionProvider;

public class NewModifications
{
	public void newModifications() throws Exception
	{
		DBConnectionProvider db = new HSQLDB_1_8ConnectionProvider("databaseName");
		ORMappers mappers = DefoORMappers.getInstance(db);

		EntityA mEntityA = mappers.newModification(EntityA.class);
		mEntityA.setId1(1);
	}

	public void shallowCopy() throws Exception
	{
		DBConnectionProvider db = new HSQLDB_1_8ConnectionProvider("databaseName");
		ORMappers mappers = DefoORMappers.getInstance(db);
		ORMapper<EntityA> mapper = mappers.getMapper(EntityA.class);

		EntityA rEntityA = mapper.selectOne(EagerToGet.NONE, "id1=?", 1);
		EntityA mEntityA = mappers.shallowCopy(rEntityA);
		mEntityA.setId1(2);
	}
}
