package example2;

import java.nio.ByteBuffer;

import com.logntw.eva.bitstruct.BitStructMapper;
import com.logntw.eva.bitstruct.defo.DefoBitStructMappers;
import com.logntw.eva.struct.StructMapper;
import com.logntw.eva.struct.StructUtil;
import com.logntw.eva.struct.defo.DefoStructMappers;

public class NewStruct
{
	public void newStruct() throws Exception
	{		
		StructMapper<StructJ> mapper = DefoStructMappers.getMapper(StructJ.class);
		int bytes = StructUtil.getTotalBytes(StructJ.class);
		ByteBuffer buf = ByteBuffer.allocate(bytes);
		StructJ structJ = mapper.ptr(buf);
		structJ.setW((byte)1);
	}
	
	public void newBitStruct() throws Exception
	{					
		BitStructMapper<BitStructK> mapper = 
			DefoBitStructMappers.getMapper(BitStructK.class);
		int bits = StructUtil.getTotalBytes(BitStructK.class);
		ByteBuffer buf = ByteBuffer.allocate(bits);
		BitStructK bitStructK = mapper.ptr(buf);
		bitStructK.setF1((byte)1);
	}
}
