package example5;

import com.logntw.eva.ioc.DefoObjectFactory;
import com.logntw.eva.ioc.ObjectFactory;

public class Main
{
	public static void main(String[] args) throws Exception
	{
		ObjectFactory objFactory = DefoObjectFactory.getInstance();
			
		Requirement imp = objFactory.getInstance(Requirement.class, RequirementImp.class);
		Requirement replacement = objFactory.getInstance(Requirement.class, RequirementImp.class, "C");
		
		System.out.println(imp.test());  		// "B"	
		System.out.println(replacement.test()); // "C"
	}	
}
