package example8;

import java.io.IOException;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import com.logntw.eva.CompilerConfig;

public class ClasspathSetup implements ServletContextListener
{
	@Override
	public void contextDestroyed(ServletContextEvent arg0)
	{
		// do nothing.
	}

	@Override
	public void contextInitialized(ServletContextEvent arg0)
	{
		try
		{
			if (arg0 != null)
				CompilerConfig.addWebClassPath(arg0.getServletContext());
		}
		catch (IOException e)
		{
			throw new java.lang.IllegalArgumentException();
		}
	}
}
