package example2;

import com.logntw.eva.anno.bean.ByteOrder.Order;
import com.logntw.eva.anno.bitstruct.BitStruct;
import com.logntw.eva.anno.bitstruct.Bits;
import com.logntw.eva.anno.struct.FieldSeq;

@BitStruct(order=Order.BIG_ENDIAN)
public interface BitStructK
{
	@Bits(1)
	@FieldSeq(1)		
	byte getF1();
	void setF1(byte f1);
	
	@Bits(3)
	@FieldSeq(2)
	int	getF2();		
	void setF2(int f2);
	
	@Bits(1)
	@FieldSeq(3)
	char getF3();
	void setF3(char f3);
	
	@Bits(3)
	@FieldSeq(4)
	int	getF4();
	void setF4(int f4);
	
	@Bits(4)
	@FieldSeq(5)
	int	getF5();
	void setF5(int f5);		

	@Bits(4)
	@FieldSeq(11)
	void setF6(byte f6);		
	byte getF6();
	
	@Bits(8)
	@FieldSeq(12)
	byte getF7();		
	void setF7(byte f7);
	
	@Bits(8)
	@FieldSeq(13)
	int	getF8();		
	void setF8(int f8);
	
	@Bits(4)
	@FieldSeq(14)
	char getF9();		
	void setF9(char f9);
	
	@Bits(4)
	@FieldSeq(15)
	int	getF10();
	void setF10(int f10);
	
	@Bits(2)
	@FieldSeq(101)
	int	getF11();
	void setF11(int f11);
		
	@Bits(2)
	@FieldSeq(102)
	byte getF12();
	void setF12(byte f12);
}
