package example2;

import com.logntw.eva.bean.condition.ConditionObj;
import com.logntw.eva.bean.condition.ConditionObjUtil;
import com.logntw.eva.condition.OP;
import com.logntw.eva.orm.DBConnectionProvider;
import com.logntw.eva.orm.ORMappers;
import com.logntw.eva.orm.defo.DefoORMappers;
import com.logntw.eva.orm.defo.conn.HSQLDB_1_8ConnectionProvider;

public class NewCondition2
{
	public void newCondition1() throws Exception 
	{
		DBConnectionProvider db = new HSQLDB_1_8ConnectionProvider("databaseName");		
		ORMappers mappers = DefoORMappers.getInstance(db);		
					
		ConditionObj<EntityA> cEntityA = mappers.newCondition(EntityA.class);
		ConditionObj<EntityB> cEntityB = mappers.newCondition(EntityB.class);					
		ConditionObj<EntityC> cEntityC = mappers.newCondition(EntityC.class);
		
		cEntityA.If(OP.THAT).setData1(cEntityB.This());
		cEntityB.If(OP.THAT).setData2(cEntityC.This());			
		cEntityB.IfSelf(OP.GREATER).theProperty("id1", "data1");
		cEntityC.If(OP.GREATER).setId1(5);	
		cEntityC.If(OP.LESS).setId1(10);									
	}
	
	public void newCondition2() throws Exception 
	{
		DBConnectionProvider db = new HSQLDB_1_8ConnectionProvider("databaseName");		
		ORMappers mappers = DefoORMappers.getInstance(db);		
	
		ConditionObj<EntityA> cEntityA = mappers.newCondition(EntityA.class);
		ConditionObjUtil.setCondition(cEntityA, 
			"data1.id1 > ? AND data1.id1 < ? AND data1.id1 > data1.data1 ", 5, 10);
	}
}
