package example2;

import com.logntw.eva.anno.bean.Dimension;
import com.logntw.eva.anno.struct.Bytes;
import com.logntw.eva.anno.struct.DefaultValue;
import com.logntw.eva.anno.struct.FieldSeq;
import com.logntw.eva.anno.struct.Struct;

@Struct
public interface StructJ
{
	@FieldSeq(1)
	byte getW();
	void setW(byte w);	
	
	@FieldSeq(2)
	@Dimension(3)
	@Bytes(2)
	@DefaultValue("a,c,ef")
	String[] getX();
	void setX(String[] x);	
	
	@FieldSeq(3)
	@Dimension(2)
	@Bytes(3)
	@DefaultValue("ghi,jk")
	String[] getY();
	void setY(String[] y);	
	
	@FieldSeq(4)
	byte getZ();
	void setZ(byte z);	
}
