package example3;

public class StudentID
{
	private char department;
	public char getDepartment()
	{
		return department;
	}
	public void setDepartment(char department)
	{
		this.department = department;
	}
	
	private int serial;
	public int getSerial()
	{
		return serial;
	}
	public void setSerial(int serial)
	{
		this.serial = serial;
	}
	
	@Override
	public String toString()
	{
		return new StringBuilder().append(department).append(serial).toString();
	}

	@Override
	public int hashCode()
	{
		return department << 24 | serial;
	}
	
	@Override
	public boolean equals(Object obj)
	{
		if(!(obj instanceof StudentID))
			return false;
		StudentID that = (StudentID)obj;
		return department == that.department && serial == that.serial;		
	}
}
