package example5;

import com.logntw.eva.ioc.DefoObjectFactory;
import com.logntw.eva.ioc.ObjectFactory;
import com.logntw.eva.ioc.aop.ObjectMonitor;

public class AOPParaCheck
{	
	@NoNullPara
	public int sum(Integer val0, Integer ... vals)  // array wrong !!
	{
		int sum = val0;
		for(Integer val : vals)
			sum += val;
		return sum;
	}	
	
	public static void main(String[] args) throws Exception
	{		
		ObjectFactory objFactory = DefoObjectFactory.getInstance();
		ObjectMonitor monitor = objFactory.getInstance(ParasMonitor.class);
		objFactory.setObjectMonitor(monitor);
		
		AOPParaCheck obj = objFactory.getInstance(AOPParaCheck.class);
					
		int rtn;
		try
		{
			rtn = obj.sum(1,null,3); // Exception
		}
		catch(Exception e)
		{			
		}
		
		try
		{
			rtn = obj.sum(null,2,3); // Exception
		}
		catch(Exception e)
		{	
		}		
		rtn = obj.sum(1,2,3); // ok
	}
}
