package example5;

import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.logntw.eva.orm.EagerToGet;
import com.logntw.eva.sql.SelectOption;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
@Inherited
public @interface QueryByCondition
{
	Class<?> entity();
	EagerToGet eager() default EagerToGet.ENTITY;
	String condition();
	SelectOption option() default SelectOption.NONE; 
	int pageSize() default -1;
}
