package example8;

import java.util.HashMap;
import java.util.Map;

import com.logntw.eva.bean.condition.ConditionObj;
import com.logntw.eva.condition.OP;
import com.logntw.eva.hb.ConditionKey;
import com.logntw.eva.orm.DBConnectionProvider;
import com.logntw.eva.orm.ORMapper;
import com.logntw.eva.orm.ORMappers;
import com.logntw.eva.orm.defo.DefaultTableCreator;
import com.logntw.eva.orm.defo.DefoORMappers;
import com.logntw.eva.orm.defo.conn.HSQLDB_1_8ConnectionProvider;

import example7.EntityS;

public class ConditionKeyExample
{
	public static void main(String[] args) throws Exception
	{
		DBConnectionProvider db = new HSQLDB_1_8ConnectionProvider("dbName");
		ORMappers mappers = DefoORMappers.getInstance(db);
		DefaultTableCreator.create(mappers, EntityS.class);
		ORMapper<EntityS> mapper = mappers.getMapper(EntityS.class);
		Map<ConditionKey, Object> cache = new HashMap<ConditionKey, Object>();
		
		ConditionObj<EntityS> condition = mapper.newCondition();
		condition.If(OP.EQUAL).setId1("10");
		condition.Or();
		condition.If(OP.EQUAL).setId1("20");
		
		ConditionKey key = new ConditionKey(condition);
		cache.put(key, "STR");
		Object obj = cache.get(key); // "STR"			
	}
}
